Inhalte
Index 🔎︎

# Asc Function

Gibt den ASCII-Wert (American Standard Code for Information Interchange) eines Zeichenkettenausdrucks zurück.

### Syntax:

    Asc(string) As Long

### Rückgabewert:

Long

### Parameter:

string: Any valid string expression. Only the first character in the string is relevant.

Verwenden Sie die Funktion Asc, um Zeichen durch ihre Wertentsprechungen zu ersetzen. Stößt die Funktion Asc auf eine leere Zeichenkette, so meldet LibreOffice Basic einen Laufzeitfehler. Neben den druckbaren 8-Bit-ASCII-Zeichen (Codes 32-255) erkennt die ASCII-Funktion auch Steuerzeichen-ASCII-Codes. Diese Funktion kann auch 16-Bit-Unicode-Zeichen verarbeiten.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleASC
        Print ASC("A") ' Liefert 65 zurück
        Print ASC(string:="Z") ' returns 90
        Print ASC("Las Vegas") ' Liefert 76 zurück, weil nur das erste Zeichen berücksichtigt wird
    End Sub

Verwandte Themen

AscW Function [VBA]

Chr Function

ChrW Function [VBA]